<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('puzle_question', function (Blueprint $table) {
            $table->id();
            $table->foreignId('case_study_id')
                ->constrained()
                ->cascadeOnDelete();
            $table->text('opsi1');
            $table->text('opsi2');
            $table->text('opsi3');
            $table->text('opsi4');
            $table->text('opsi5');
            $table->text('opsi6');
            $table->string('jawaban');
            $table->longText('feedback0');
            $table->longText('feedback1');
            $table->longText('feedback2');
            $table->longText('feedback3');
            $table->longText('feedback4');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('puzle_question');
    }
};
